Package com.collibra.dgc.core.api.dto.meta.complexrelation

# Class ComplexRelationLegTypeRequest.Builder

Object
Builder

Enclosing class:
  `ComplexRelationLegTypeRequest`

public static final class ComplexRelationLegTypeRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ComplexRelationLegTypeRequest.Builder`
  `assetTypeId(UUID assetTypeId)`
  Required. The ID of the Asset Type of the Relation.
  `ComplexRelationLegTypeRequest`
  `build()`
  `ComplexRelationLegTypeRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ComplexRelationLegTypeRequest.Builder`
  `coRole(String coRole)`
  The name of the role that the target plays.
  `ComplexRelationLegTypeRequest.Builder`
  `id(UUID id)`
  The id of the Complex Relation Leg Type.
  `ComplexRelationLegTypeRequest.Builder`
  `max(Integer max)`
  The maximum number of Leg Type occurrences.
  `ComplexRelationLegTypeRequest.Builder`
  `min(int min)`
  The minimum number of Leg Type occurrences.
  `ComplexRelationLegTypeRequest.Builder`
  `relationTypeId(UUID relationTypeId)`
  The id of the Relation Type of the Leg Type.
  `ComplexRelationLegTypeRequest.Builder`
  `role(String role)`
  Required. The name of the role that the source plays.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ComplexRelationLegTypeRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ComplexRelationLegTypeRequest.builder()`.
    Clone method for this Builder.

  - ### min

    public ComplexRelationLegTypeRequest.Builder min(int min)
    The minimum number of Leg Type occurrences.
    Returns:
      `this`.

  - ### max

    public ComplexRelationLegTypeRequest.Builder max(Integer max)
    The maximum number of Leg Type occurrences.
    Returns:
      `this`.

  - ### role

    public ComplexRelationLegTypeRequest.Builder role(String role)
    Required. The name of the role that the source plays.
    Returns:
      `this`.

  - ### coRole

    public ComplexRelationLegTypeRequest.Builder coRole(String coRole)
    The name of the role that the target plays.
    Returns:
      `this`.

  - ### assetTypeId

    public ComplexRelationLegTypeRequest.Builder assetTypeId(UUID assetTypeId)
    Required. The ID of the Asset Type of the Relation.
    Returns:
      `this`.

  - ### id

    public ComplexRelationLegTypeRequest.Builder id(UUID id)
    The id of the Complex Relation Leg Type. The Leg Type will be created with this id or updated. If left empty on update the Leg Type will be recreated.
    Returns:
      `this`.

  - ### relationTypeId

    public ComplexRelationLegTypeRequest.Builder relationTypeId(UUID relationTypeId)
    The id of the Relation Type of the Leg Type.
    Returns:
      `this`.

  - ### build

    public ComplexRelationLegTypeRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`